dnl check Expat header and lib
dnl
AC_DEFUN(AM_CHECK_EXPAT,
[ AC_ARG_WITH(expat,
	[  --with-expat=PREFIX     Use system Expat library],
	expat="$withval",
	expat="")

  case x"$expat" in
    xyes)	;;
    x)		;;
    *)
	EXPAT_CFLAGS="-I$withval/include"
	EXPAT_LIBS="-L$withval/lib"
	;;
  esac

  AC_CHECK_LIB(expat, XML_ParserCreate,
	[ EXPAT_LIBS="$EXPAT_LIBS -lexpat"
	  expat_found=yes ],
	[ expat_found=no ],
	"$EXPAT_LIBS")
  if test $expat_found = no; then
	AC_MSG_ERROR([Could not find the Expat library])
  fi
  expat_save_CPPFLAGS="$CPPFLAGS"
  CPPFLAGS="$CPPFLAGS $EXPAT_CFLAGS"
  AC_CHECK_HEADERS(expat.h, , expat_found=no)
  if test $expat_found = no; then
	AC_MSG_ERROR([Could not find expat.h])
  fi
  CPPFLAGS="$expat_save_CPPFLAGS"

  AC_SUBST(EXPAT_CFLAGS)
  AC_SUBST(EXPAT_LIBS)
])
