/////////////////////////////////////////////////////////////////////////////
// Name:        dditemdata.h
// Purpose:     Data Designer Project
// Author:      Daniel Horak
// Modified by:
// RCS-ID:      $Id: itemdata.h,v 1.2 2004/01/04 18:32:15 horakdan Exp $
// Copyright:   (c) Daniel Horak
// Licence:     GPL
/////////////////////////////////////////////////////////////////////////////

#ifndef __DDITEMDATA_H
#define __DDITEMDATA_H

class DBObject;
class wxTreeItemData;

class DataDesignerItemData : public wxTreeItemData
{
public:
	DataDesignerItemData(DBObject *object) : m_object(object) { }
	
	DBObject	*GetObject() { return m_object; }
	void		SetObject(DBObject *object) { m_object = object; }

private:
	DBObject	*m_object;
};

#endif // __DDITEMDATA_H
