/////////////////////////////////////////////////////////////////////////////
// Name:        dbsdb2.h
// Purpose:     Database Server - DB2
// Author:      Daniel Horak
// Modified by:
// RCS-ID:      $Id: dbsdb2.h,v 1.1.1.1 2003/06/06 11:28:05 horakdan Exp $
// Copyright:   (c) Daniel Horak
// Licence:     GPL
/////////////////////////////////////////////////////////////////////////////

#ifndef __DBSDB2_H
#define __DBSDB2_H

class DBServerDB2 : public DBServer
{
public:
	DBServerDB2();
	virtual ~DBServerDB2();
	
	virtual wxString*	GetTypes()	{ return m_types; }
	virtual int		GetTypesCount()	{ return m_typescount; }

	virtual wxString*       GetLanguages()  { return m_langs; }
	virtual int             GetLanguagesCount()     { return m_langscount; }
	
private:
	static wxString	m_types[];
	static int	m_typescount;

	static wxString	m_langs[];
	static int	m_langscount;
};

#endif // __DBSDB2_H
