/////////////////////////////////////////////////////////////////////////////
// Name:        dbsibase.cpp
// Purpose:     Database Server - InterBase
// Author:      Daniel Horak
// Modified by:
// RCS-ID:      $Id: dbsibase.cc,v 1.1.1.1 2003/06/06 11:28:05 horakdan Exp $
// Copyright:   (c) Daniel Horak
// Licence:     GPL
/////////////////////////////////////////////////////////////////////////////

// ============================================================================
// declarations
// ============================================================================

// ----------------------------------------------------------------------------
// headers
// ----------------------------------------------------------------------------

// For compilers that support precompilation, includes "wx/wx.h".
#include <wx/wxprec.h>

#ifdef __BORLANDC__
    #pragma hdrstop
#endif

// for all others, include the necessary headers (this file is usually all you
// need because it includes almost all "standard" wxWindows headers
#ifndef WX_PRECOMP
#include <wx/wx.h>
#endif

#include "xml.h"
#include "dbserver.h"
#include "dbsibase.h"

wxString DBServerInterBase::m_types[] = {
    "blob",
    "char",
    "date",
    "decimal",
    "double",
    "float",
    "integer",
    "numeric",
    "smallint",
    "time",
    "timestamp",
    "varchar"
};

int DBServerInterBase::m_typescount = sizeof(DBServerInterBase::m_types) / sizeof(wxString);

DBServerInterBase::DBServerInterBase()
	: DBServer(DBServerTypeInterBase, "InterBase", "6")
{
}

DBServerInterBase::~DBServerInterBase()
{
}
