/////////////////////////////////////////////////////////////////////////////
// Name:        dbsmysql.cpp
// Purpose:     Database Server - MySQL
// Author:      Daniel Horak
// Modified by:
// RCS-ID:      $Id: dbsmysql.cc,v 1.2 2003/06/06 17:46:05 horakdan Exp $
// Copyright:   (c) Daniel Horak
// Licence:     GPL
/////////////////////////////////////////////////////////////////////////////

// ============================================================================
// declarations
// ============================================================================

// ----------------------------------------------------------------------------
// headers
// ----------------------------------------------------------------------------

// For compilers that support precompilation, includes "wx/wx.h".
#include <wx/wxprec.h>

#ifdef __BORLANDC__
    #pragma hdrstop
#endif

// for all others, include the necessary headers (this file is usually all you
// need because it includes almost all "standard" wxWindows headers
#ifndef WX_PRECOMP
#include <wx/wx.h>
#endif

#include "xml.h"
#include "dbserver.h"
#include "dbsmysql.h"

wxString DBServerMySQL::m_types[] = {
    "bigint",
    "char",
    "date",
    "datetime",
    "double",
    "float",
    "int",
    "numeric",
    "smallint",
    "text",
    "tinyint",
    "time",
    "timestamp",
    "varchar"
};

int DBServerMySQL::m_typescount = sizeof(DBServerMySQL::m_types) / sizeof(wxString);

DBServerMySQL::DBServerMySQL()
	: DBServer(DBServerTypeMySQL, "MySQL", "3", "mysql.xsl")
{
}

DBServerMySQL::~DBServerMySQL()
{
}
