/////////////////////////////////////////////////////////////////////////////
// Name:        dbsmysql.h
// Purpose:     Database Server - MySQL
// Author:      Daniel Horak
// Modified by:
// RCS-ID:      $Id: dbsmysql.h,v 1.1.1.1 2003/06/06 11:28:05 horakdan Exp $
// Copyright:   (c) Daniel Horak
// Licence:     GPL
/////////////////////////////////////////////////////////////////////////////

#ifndef __DBSMYSQL_H
#define __DBSMYSQL_H

class DBServerMySQL : public DBServer
{
public:
	DBServerMySQL();
	virtual ~DBServerMySQL();
	
	virtual wxString*	GetTypes()	{ return m_types; }
	virtual int		GetTypesCount()	{ return m_typescount; }

	virtual wxString*       GetLanguages()  { return NULL; }
	virtual int             GetLanguagesCount()     { return 0; }
	
private:
	static wxString	m_types[];
	static int	m_typescount;
};

#endif // __DBSMYSQL_H
