/////////////////////////////////////////////////////////////////////////////
// Name:        dbsoracle.cpp
// Purpose:     Database Server - Oracle
// Author:      Daniel Horak
// Modified by:
// RCS-ID:      $Id: dbsoracle.cc,v 1.1.1.1 2003/06/06 11:28:05 horakdan Exp $
// Copyright:   (c) Daniel Horak
// Licence:     GPL
/////////////////////////////////////////////////////////////////////////////

// ============================================================================
// declarations
// ============================================================================

// ----------------------------------------------------------------------------
// headers
// ----------------------------------------------------------------------------

// For compilers that support precompilation, includes "wx/wx.h".
#include <wx/wxprec.h>

#ifdef __BORLANDC__
    #pragma hdrstop
#endif

// for all others, include the necessary headers (this file is usually all you
// need because it includes almost all "standard" wxWindows headers
#ifndef WX_PRECOMP
#include <wx/wx.h>
#endif

#include "xml.h"
#include "dbserver.h"
#include "dbsoracle.h"

wxString DBServerOracle::m_types[] = {
    "blob",
    "char",
    "clob",
    "date",
    "long",
    "long raw",
    "nclob",
    "number",
    "nchar",
    "nvarchar2",
    "raw",
    "varchar2"
};

int DBServerOracle::m_typescount = sizeof(DBServerOracle::m_types) / sizeof(wxString);

DBServerOracle::DBServerOracle()
	: DBServer(DBServerTypeOracle, "Oracle", "8")
{
}

DBServerOracle::~DBServerOracle()
{
}
