/////////////////////////////////////////////////////////////////////////////
// Name:        dbsoracle.h
// Purpose:     Database Server - Oracle
// Author:      Daniel Horak
// Modified by:
// RCS-ID:      $Id: dbsoracle.h,v 1.1.1.1 2003/06/06 11:28:05 horakdan Exp $
// Copyright:   (c) Daniel Horak
// Licence:     GPL
/////////////////////////////////////////////////////////////////////////////

#ifndef __DBSORACLE_H
#define __DBSORACLE_H

class DBServerOracle : public DBServer
{
public:
	DBServerOracle();
	virtual ~DBServerOracle();
	
	virtual wxString*	GetTypes()	{ return m_types; }
	virtual int		GetTypesCount()	{ return m_typescount; }

	virtual wxString*       GetLanguages()  { return NULL; }
	virtual int             GetLanguagesCount()     { return 0; }
	
private:
	static wxString	m_types[];
	static int	m_typescount;
};

#endif // __DBSORACLE_H
