# Note that this is NOT a relocatable package
%define ver      0.5
%define  RELEASE 1
%define  rel     %{?CUSTOM_RELEASE} %{!?CUSTOM_RELEASE:%RELEASE}
%define prefix   /usr
%define wxconfig	wxgtk-2.4-config
%define desktop_vendor	danny

Summary: The DataDesigner
Name: datadesigner
Version: %ver
Release: %rel
Copyright: GPL
Group: Libraries
Source: http://www.danny.cz/pub/datadesigner-%{ver}.tar.gz
BuildRoot: /var/tmp/datadesigner-%{PACKAGE_VERSION}-root
Packager: Dan Horak <dan@danny.cz>
URL: http://www.danny.cz
BuildPrereq: expat-devel >= 1.95
BuildPrereq: wxGTK-devel >= 2.4.0
#BuildPrereq: wxwin-devel >= 2.4.0
Docdir: %{prefix}/doc

%description
The first free data modeling tool on Linux.

%changelog
* Sun Jan 4 2004	Dan Horak <dan@danny.cz>
- update to recent style

* Wed Sep 1 2002	Dan Horak <dan@danny.cz>
- created spec file
  
%prep
%setup

%build
export CFLAGS="$RPM_OPT_FLAGS"
%configure --with-wx-config=%wxconfig --enable-semistatic
make all

%install
rm -rf %{buildroot}

make install DESTDIR=%{buildroot}

%find_lang %{name}

mkdir -p %{buildroot}/%{_datadir}/applications
cp -f ./%{name}.desktop %{buildroot}/%{_datadir}/applications/%{name}.desktop
desktop-file-install --vendor %{desktop_vendor} --delete-original	\
    --dir %{buildroot}/%{_datadir}/applications				\
    --add-category X-Red-Hat-Base					\
    --add-category Application						\
    --add-category Development						\
    %{buildroot}/%{_datadir}/applications/%{name}.desktop

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/%{name}
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*.xsl
%{_datadir}/applications/%{desktop_vendor}-%{name}.desktop
