/////////////////////////////////////////////////////////////////////////////
// Name:        dbproject.h
// Purpose:     Database Objects
// Author:      Daniel Horak
// Modified by:
// RCS-ID:      $Id: dbproject.h,v 1.1.1.1 2003/06/06 11:28:05 horakdan Exp $
// Copyright:   (c) Daniel Horak
// Licence:     GPL
/////////////////////////////////////////////////////////////////////////////

#ifndef __DBPROJECT_H
#define __DBPROJECT_H

class DBProject : public DBObject
{
public:
	DBProject(DataDesignerProject *project);
	virtual ~DBProject() { }
	
	virtual wxDialog *Editor(bool edit);

	virtual void LoadXmlNode(wxXmlNode *node);
	virtual wxXmlNode *GetXmlNode();
	
	wxString	m_author;
	wxString	m_copyright;
	wxString	m_dbserver;
};

class DBProjectEditor : public DBObjectEditor
{
public:
	DBProjectEditor(DBObject *object, bool edit);
	virtual ~DBProjectEditor();

	virtual bool TransferDataFromWindow();
	virtual bool TransferDataToWindow();
	virtual bool Validate();

private:
	wxComboBox	*c1;		// server
};

#endif // __DBPROJECT_H
