/////////////////////////////////////////////////////////////////////////////
// Name:        dbsdb2.cpp
// Purpose:     Database Server - DB2
// Author:      Daniel Horak
// Modified by:
// RCS-ID:      $Id: dbsdb2.cc,v 1.2 2003/06/06 17:46:05 horakdan Exp $
// Copyright:   (c) Daniel Horak
// Licence:     GPL
/////////////////////////////////////////////////////////////////////////////

// ============================================================================
// declarations
// ============================================================================

// ----------------------------------------------------------------------------
// headers
// ----------------------------------------------------------------------------

// For compilers that support precompilation, includes "wx/wx.h".
#include <wx/wxprec.h>

#ifdef __BORLANDC__
    #pragma hdrstop
#endif

// for all others, include the necessary headers (this file is usually all you
// need because it includes almost all "standard" wxWindows headers
#ifndef WX_PRECOMP
#include <wx/wx.h>
#endif

#include "xml.h"
#include "dbserver.h"
#include "dbsdb2.h"

wxString DBServerDB2::m_types[] = {
    "bigint",
    "blob",
    "char",
    "clob",
    "date",
    "dbclob",
    "decimal",
    "double",
    "graphic",
    "integer",
    "real",
    "smallint",
    "time",
    "timestamp",
    "varchar",
    "vargraphic"
};

int DBServerDB2::m_typescount = sizeof(DBServerDB2::m_types) / sizeof(wxString);

wxString DBServerDB2::m_langs[] = {
    "C",
    "JAVA",
    "SQL"
};

int DBServerDB2::m_langscount = sizeof(DBServerDB2::m_langs) / sizeof(wxString);

DBServerDB2::DBServerDB2()
	: DBServer(DBServerTypeDB2, "DB2", "7" , "db2.xsl")
{
}

DBServerDB2::~DBServerDB2()
{
}
