/////////////////////////////////////////////////////////////////////////////
// Name:        dbsibase.h
// Purpose:     Database Server - InterBase
// Author:      Daniel Horak
// Modified by:
// RCS-ID:      $Id: dbsibase.h,v 1.1.1.1 2003/06/06 11:28:05 horakdan Exp $
// Copyright:   (c) Daniel Horak
// Licence:     GPL
/////////////////////////////////////////////////////////////////////////////

#ifndef __DBSIBASE_H
#define __DBSIBASE_H

class DBServerInterBase : public DBServer
{
public:
	DBServerInterBase();
	virtual ~DBServerInterBase();
	
	virtual wxString*	GetTypes()	{ return m_types; }
	virtual int		GetTypesCount()	{ return m_typescount; }

	virtual wxString*       GetLanguages()  { return NULL; }
	virtual int             GetLanguagesCount()     { return 0; }
	
private:
	static wxString	m_types[];
	static int	m_typescount;
};

#endif // __DBSIBASE_H
